com.mxgraph.util.svg

## Class NormalizingReader

- java.lang.Object
- - java.io.Reader
  - - com.mxgraph.util.svg.NormalizingReader

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.lang.Readable
  Direct Known Subclasses:
    StringNormalizingReader

      public abstract class NormalizingReader
      extends java.io.Reader

  This class represents a reader which normalizes the line break: \n, \r, \r\n are replaced by \n. The methods of this reader are not synchronized. The input is buffered.

- - ### Field Summary

    - ### Fields inherited from class java.io.Reader

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NormalizingReader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int` | `getColumn()` Returns the current column in the stream.
    `abstract int` | `getLine()` Returns the current line in the stream.
    `int` | `read(char[] cbuf, int off, int len)` Read characters into a portion of an array.

    - ### Methods inherited from class java.io.Reader

      `close, mark, markSupported, read, read, read, ready, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NormalizingReader

          public NormalizingReader()

  - ### Method Detail

    - #### read

          public int read(char[] cbuf,
                 int off,
                 int len)
                   throws java.io.IOException

      Read characters into a portion of an array.
      Specified by:
        `read` in class `java.io.Reader`
      Parameters:
        `cbuf` - Destination buffer
        `off` - Offset at which to start writing characters
        `len` - Maximum number of characters to read
      Returns:
        The number of characters read, or -1 if the end of the stream has been reached
      Throws:
        `java.io.IOException`

    - #### getLine

          public abstract int getLine()

      Returns the current line in the stream.

    - #### getColumn

          public abstract int getColumn()

      Returns the current column in the stream.

Copyright (c) 2010 Gaudenz Alder. All rights reserved.